testSyntaxMD:
  image: python:3.8
  before_script:
    - python -V
    - pip install virtualenv
    - virtualenv venv
    - source venv/bin/activate
    - pip install pymarkdownlnt
  script:
    - pymarkdown scan .

testSyntaxJava:
  image: maven:latest
  script:
    - mvn checkstyle:check
#    - cat checkstyle.xml
    - mvn pmd:pmd

mavenBuild:
  image: maven:latest
  script:
    - mvn clean package

mavenTest:
  image: maven:latest
  script:
    - mvn test

checkSecurityUpdatesPython:
  image: python:3.8
  before_script:
    - python -V
    - pip install virtualenv
    - virtualenv venv
    - source venv/bin/activate
    - pip install safety
  script:
    - safety check -r requirements.txt

checkSecurityUpdatesJava:
  image: maven:latest
  script:
    - mvn org.owasp:dependency-check-maven:check
  artifacts:
    paths:
      - target/dependency-check-report.html


pages:
  image: busybox
  stage: deploy
  script:
    - mkdir public
    - cp target/dependency-check-report.html public/index.html
  artifacts:
    paths:
      - public
  only:
    - main
